package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.SylbtpglBLO;
import com.zjrs.zwnw.rlzysc.bpo.SylbtpglBPO;
import com.zjrs.zwnw.rlzysc.dto.SylbtpglQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.SylbtpglUDTO;
import com.zjrs.zwnw.rlzysc.dto.ZjDTO;
import com.zjrs.zwnw.rlzysc.dto.ZjQueryDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.Map;

@Service
public class SylbtpglBPOimpl extends BPOImpl implements SylbtpglBPO {

    @Resource
    private SylbtpglBLO sylbtpglBLO;

    @Override
    public PageResult getSylbtpglList(SylbtpglQueryDTO dto) {
        return sylbtpglBLO.getSylbtpglList(dto);
    }

    @Override
    public void updateSylbtpglZdzt(ZjDTO dto) {
        sylbtpglBLO.updateSylbtpglZdzt(dto);
    }

    @Override
    public void delSylbtpglXx(ZjDTO dto) {
        sylbtpglBLO.delSylbtpglXx(dto);
    }

    @Override
    public Map getSylbtpglXx(ZjQueryDTO dto) {
        return sylbtpglBLO.getSylbtpglXx(dto);
    }

    @Override
    public String saveSylbtpglXx(SylbtpglUDTO dto) {
        return sylbtpglBLO.saveSylbtpglXx(dto);
    }
}
